DC_CONTEXT_SET_LOGLEVEL(3)

NAME
dc_context_set_loglevel - set the logging level for a dive computer context

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/context.h>
dc_status_t
dc_context_set_loglevel(dc_context_t *context, dc_loglevel_t loglevel);

DESCRIPTION
Set the minimum log level required to raise a logging event with the dc_context_set_logfunc(3) callback. Operates on a dive computer context created with dc_context_new(3). The log levels are ordered as follows:

1.  DC_LOGLEVEL_NONE

2.  DC_LOGLEVEL_ERROR

3.  DC_LOGLEVEL_WARNING

4.  DC_LOGLEVEL_INFO

5.  DC_LOGLEVEL_DEBUG

6.  DC_LOGLEVEL_ALL

By setting, for exammple, DC_LOGLEVEL_INFO, all events of DC_LOGLEVEL_ERROR, DC_LOGLEVEL_WARNING, and DC_LOGLEVEL_INFO will be reported via the callback in dc_context_set_logfunc(3).

RETURN VALUES
Returns DC_STATUS_OK on setting the log level, DC_STATUS_INVALIDARGS if context is NULL, or another error code on failure.

SEE ALSO
dc_context_new(3), dc_context_set_logfunc(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.